﻿using UnityEngine;
using System.Collections;

public class Queen : MonoBehaviour {

	private SpriteRenderer _sprite;
	private Sprite[][] _AllDances;
	private float _danceDelay;
	private int _currDance;

	public Sprite[] _Dance1;
	public Sprite[] _Dance2;
	public Sprite[] _Dance3;

	// Use this for initialization
	void Start () {
		_sprite = GetComponent<SpriteRenderer> ();
		_AllDances = new Sprite[3][];
		_AllDances [0] = _Dance1;
		_AllDances [1] = _Dance2;
		_AllDances [2] = _Dance3;
		_sprite.sprite = _AllDances[0][0];

	}
	
	// Update is called once per frame
	void Update () {
		if (_danceDelay <= 0.0f)
		{
			if (_sprite.sprite.Equals (_AllDances [_currDance] [1])) {
				_sprite.sprite = _AllDances[_currDance][2];
				_danceDelay = 0.5f;
			}
			else if (_sprite.sprite.Equals (_AllDances [_currDance] [2])) {
				_sprite.sprite = _AllDances [_currDance] [0];
			}
		}
		else {
			_danceDelay -= Time.deltaTime;
		}
	}

	public void Dance(int index)
	{
		_currDance = index;
		_sprite.sprite = _AllDances[_currDance][1];
		_danceDelay = 0.2f;
	}
}
